Bug 1791958 - Review Request: rust-target-lexicon - Targeting utilities for compilers and related tools
Summary: Review Request: rust-target-lexicon - Targeting utilities for compilers and r...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-16 19:04 UTC by Josh Stone
Modified: 2020-02-20 00:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 00:28:11 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Josh Stone 2020-01-16 19:04:27 UTC
Spec URL: https://jistone.fedorapeople.org/review//rust-target-lexicon.spec
SRPM URL: https://jistone.fedorapeople.org/review//rust-target-lexicon-0.10.0-1.fc32.src.rpm

Description:
Targeting utilities for compilers and related tools.

Comment 1 Josh Stone 2020-01-16 19:04:29 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=40628509

Comment 2 Robert-André Mauchin 2020-01-21 20:27:10 UTC
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

 - That's not in the valid license list, could you ask on the legal list the status of this and how it should be named:

License:        ASL 2.0 WITH LLVM-exception

Comment 3 Josh Stone 2020-01-22 20:01:50 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - That's not in the valid license list, could you ask on the legal list the
> status of this and how it should be named:
> 
> License:        ASL 2.0 WITH LLVM-exception

I've sent the email request to legal. FWIW, that exception is listed on SPDX here:
https://spdx.org/licenses/LLVM-exception.html

Comment 4 Tom "spot" Callaway 2020-02-18 16:58:22 UTC
Just say "ASL 2.0 with exceptions". Lifting FE-Legal.

Comment 5 Robert-André Mauchin 2020-02-19 00:28:42 UTC
Package approved.

Comment 6 Gwyn Ciesla 2020-02-19 20:27:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-target-lexicon


Note You need to log in before you can comment on or make changes to this bug.